import QtQuick 2.3

FlyNotificationItem {
    id: notificationItem

    caption.width: datetime.x - caption.x - 5

    FlyLabel {
        id: datetime
        anchors { top: parent.top; right: parent.right; bottom: parent.verticalCenter; rightMargin: margin }
        text: Qt.formatDateTime((_dataMap["datetime"] ? _dataMap["datetime"] : new Date()), "hh:mm")
        font.pixelSize: description.font.pixelSize;
        color: styles.label.colorDisabled
        verticalAlignment: Text.AlignVCenter
    }

    // TODO add actions ??

    // it will open chain if it exists
    mouseArea.onClicked: root.startDetachedProcess("fly-sms", (_dataMap["phone"] ? ["--send-sms", _dataMap["phone"]] : []))
}
