import QtQuick 2.3
import QtGraphicalEffects 1.0

DropShadow {
    property var target

    anchors.fill: target
    source: target
    opacity: target.opacity
    visible: target.visible
    transformOrigin: target.transformOrigin
    scale: target.scale
    rotation: target.rotation
    horizontalOffset: 1
    verticalOffset: 2
    radius: 4
    samples: 8
    color: styles.shadows.color
    transparentBorder: true
    fast: true
}
